Billing Invoices

Billing Invoices represent charges for a customer over a specified billing period. Invoices can include line items and support different collection methods for payment.

The Billing Invoice Object

Attributes
idstringoptional

Unique identifier for the invoice.

invoice_numberstringoptional

The invoice number.

customerstringoptional

The ID of the customer this invoice belongs to.

statusstringoptional

The status of the invoice (e.g., "draft").

currencystringoptional

Three-letter ISO currency code (e.g., "USD").

totalintegeroptional

Total amount for the invoice.

collection_methodstringoptional

The method used to collect payment (e.g., "request_payment").

line_itemsarrayoptional

List of line items included in the invoice.

due_datestringoptional

The date on which payment is due, in ISO 8601 format.

net_termsintegeroptional

Number of days until payment is due.

descriptionstringoptional

Description of the invoice.

memostringoptional

Additional memo for the invoice.

metadatadictionaryoptional

Additional information attached to the invoice.

objectstringoptional

The object type, always "invoice".

livemodebooleanoptional

Indicates if this is in live mode (true) or sandbox/testing (false).

createdintegeroptional

Unix timestamp when the invoice was created.

updatedintegeroptional

Unix timestamp when the invoice was last updated.

Billing Invoice Object
{
  "id": "5550e6b3-3fdb-4c73-99a8-d836211a6f19",
  "invoice_number": "F081FE64-DRAFT",
  "currency": "USD",
  "livemode": false,
  "created": 1762982952,
  "updated": 1762982952,
  "metadata": {
    "test": "test"
  },
  "customer": "5c5286be-ca91-47d7-92d1-4f211963fce9",
  "line_items": [],
  "collection_method": "request_payment",
  "status": "draft",
  "due_date": null,
  "description": null,
  "memo": null,
  "net_terms": 0,
  "object": "invoice",
  "total": 113500000
}

Create Billing Invoice

Creates a new billing invoice for a customer.

Parameters
customerstring

The ID of the customer to invoice.

start_datestring

Start date for the invoice period in ISO 8601 format.

end_datestring

End date for the invoice period in ISO 8601 format.

collection_methodstringoptional

The method used to collect payment (e.g., "request_payment").

line_itemsarrayoptional

List of line items to include in the invoice.

metadatadictionaryoptional

Additional information to attach to the invoice.

Returns

Returns the created billing invoice object if successful. Returns an error if the request is invalid.

POST/v1/billing/invoices
curl -X POST "https://api.framepayments.com/v1/billing/invoices" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer API_KEY" \
  -d '{
    "customer": "5c5286be-ca91-47d7-92d1-4f211963fce9",
    "collection_method": "request_payment",
    "metadata": {
      "test": "test"
    },
    "start_date": "2025-08-01",
    "end_date": "2025-09-01"
  }'
Response
{
  "id": "5550e6b3-3fdb-4c73-99a8-d836211a6f19",
  "invoice_number": "F081FE64-DRAFT",
  "currency": "USD",
  "livemode": false,
  "created": 1762982952,
  "updated": 1762982952,
  "metadata": {
    "test": "test"
  },
  "customer": "5c5286be-ca91-47d7-92d1-4f211963fce9",
  "line_items": [],
  "collection_method": "request_payment",
  "status": "draft",
  "due_date": null,
  "description": null,
  "memo": null,
  "net_terms": 0,
  "object": "invoice",
  "total": 113500000
}